JBoss Native SVN: r2952 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2012-05-03 12:13:20 -0400 (Thu, 03 May 2012)
New Revision: 2952
Modified:
trunk/build/unix/package.list
Log:
1.2.1.Final released.
Modified: trunk/build/unix/package.list
===================================================================
--- trunk/build/unix/package.list 2012-05-02 17:13:47 UTC (rev 2951)
+++ trunk/build/unix/package.list 2012-05-03 16:13:20 UTC (rev 2952)
@@ -61,5 +61,6 @@
mod_cluster|1.2.0.Final|2.2.21|ssl:v:0.9.8r|zlib:v:1.2.3|jk:v:1.2.30|iconv:v:1.11|expat:v:1.95.8|cluster:t:1.2.0.Final
mod_cluster|1.2.1.Beta1|2.2.21|ssl:v:0.9.8r|zlib:v:1.2.3|jk:v:1.2.30|iconv:v:1.11|expat:v:1.95.8|cluster:t:1.2.1.Beta1
mod_cluster|1.2.1.Beta3.dev|2.2.21|ssl:v:0.9.8r|zlib:v:1.2.3|jk:v:1.2.30|iconv:v:1.11|expat:v:1.95.8|cluster:t:trunk
+mod_cluster|1.2.1.Final|2.2.21|ssl:v:0.9.8r|zlib:v:1.2.3|jk:v:1.2.30|iconv:v:1.11|expat:v:1.95.8|cluster:t:1.2.1.Final
traffic_server|TS_Trunk|trunk
TC7|TC7_Trunk|trunk
12 years, 7 months
JBoss Native SVN: r2951 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2012-05-02 13:13:47 -0400 (Wed, 02 May 2012)
New Revision: 2951
Modified:
trunk/build/unix/buildbin.mod_cluster.sh
Log:
those aren't build yet by maven.
Modified: trunk/build/unix/buildbin.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildbin.mod_cluster.sh 2012-05-02 11:19:56 UTC (rev 2950)
+++ trunk/build/unix/buildbin.mod_cluster.sh 2012-05-02 17:13:47 UTC (rev 2951)
@@ -307,6 +307,10 @@
mkdir -p ${RPM_BUILD_ROOT}/${BASEHTTPD}/tools
(cd ../mod_cluster/test/java
mvn compile
+ (cd Clients/testhttpd
+ ant build
+ )
+ javac *Advertize.java
cp -p output/classes/*Advertize.class ${RPM_BUILD_ROOT}/${BASEHTTPD}/tools
cp -p output/classes/testhttpd.war ${RPM_BUILD_ROOT}/${BASEHTTPD}/tools
) || exit 1
12 years, 7 months
JBoss Native SVN: r2950 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2012-05-02 07:19:56 -0400 (Wed, 02 May 2012)
New Revision: 2950
Modified:
trunk/build/unix/buildtest.mod_cluster.sh
Log:
Add traces.
Modified: trunk/build/unix/buildtest.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildtest.mod_cluster.sh 2012-05-02 11:16:16 UTC (rev 2949)
+++ trunk/build/unix/buildtest.mod_cluster.sh 2012-05-02 11:19:56 UTC (rev 2950)
@@ -100,6 +100,10 @@
PATH=${MVN_HOME}/bin:${PATH}
export PATH
fi
+ echo "Checking java..."
+ which java
+ java -version
+ echo "Running tests..."
mvn install
if [ $? -ne 0 ]; then
echo "Some test have failed"
12 years, 7 months
JBoss Native SVN: r2949 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2012-05-02 07:16:16 -0400 (Wed, 02 May 2012)
New Revision: 2949
Modified:
trunk/build/unix/buildbin.mod_cluster.sh
Log:
Use mvn instead ant.
Modified: trunk/build/unix/buildbin.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildbin.mod_cluster.sh 2012-05-02 11:10:52 UTC (rev 2948)
+++ trunk/build/unix/buildbin.mod_cluster.sh 2012-05-02 11:16:16 UTC (rev 2949)
@@ -306,10 +306,10 @@
) || exit 1
mkdir -p ${RPM_BUILD_ROOT}/${BASEHTTPD}/tools
(cd ../mod_cluster/test/java
- ant compile
+ mvn compile
cp -p output/classes/*Advertize.class ${RPM_BUILD_ROOT}/${BASEHTTPD}/tools
cp -p output/classes/testhttpd.war ${RPM_BUILD_ROOT}/${BASEHTTPD}/tools
-)
+) || exit 1
# Install httpd using the ant script in mod_cluster
(cd ../mod_cluster/test/java
12 years, 7 months
JBoss Native SVN: r2948 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2012-05-02 07:10:52 -0400 (Wed, 02 May 2012)
New Revision: 2948
Modified:
trunk/build/unix/buildbin.mod_cluster.sh
Log:
mod_proxy part has been removed.
Modified: trunk/build/unix/buildbin.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildbin.mod_cluster.sh 2012-04-24 13:52:53 UTC (rev 2947)
+++ trunk/build/unix/buildbin.mod_cluster.sh 2012-05-02 11:10:52 UTC (rev 2948)
@@ -325,7 +325,7 @@
# Build the *.so for any httpd-2.2.x using the httpd install done before
if [ "${BUILD_SYS}" != "windows" ]; then
BASELOC=`(cd ../mod_cluster/test/java; ant base | grep echo | sed 's:\[echo\]::' | sed 's:^ *::' | sed 's: :/:g')`
- for dir in `echo mod_proxy mod_manager advertise mod_slotmem mod_proxy_cluster`
+ for dir in `echo mod_manager advertise mod_slotmem mod_proxy_cluster`
do
(cd ../mod_cluster/native/$dir
sh buildconf
12 years, 7 months